Subject: bug#71386: 29.1; Frame is auto-deleted even when it has multiple tabs

From: martin rudalics <[email-masked]>
Date: Thu, 13 Jun 2024 10:21:43 +0200

>> But KILL means to delete the frame and the tab-bar code wants to prevent
 >> that.  Or what am I missing?
 >
 > For frames KILL defines whether to delete or iconify the frame.
 > There is no such thing as to "iconify" the tab.

Don't you want to distinguish 'kill' non-nil where the frame should get
deleted from 'kill' nil where nothing is done?  In the latter case the
window cannot even be deleted because when the return value of
'window-deletable-p' equals 'frame' this implies that WINDOW is the root
window of its frame.

martin